This URL assigns a license to the device.
Resource URL
PUT /license/assignlicense
Request Parameters
URL Parameters: None
Payload Request Parameters:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| License id | String | Yes |
| Grant Index of the license | String | Yes |
| Grant id of the license | String | Yes |
| Sensor id to be associated with license | String | Yes |
Response Parameters
Following fields are returned.
Field Name | Description | Data Type |
|---|---|---|
| Set to 1 if the request is successful | Number |
Example
Request
PUT https://<NSM_IP>/sdkapi/license/assignlicense
Payload
{
"licenseId": "50002",
"grantIndex": "3",
"grantId": "0030080",
"sensorId": "1006"
}
Response
{
'status' : 1
}
Error Information
Following error codes are returned by this URL:
No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
1 | 500 | 1001 | Internal error |
2 | 500 | 1001 | License <licenseId> cannot be assigned to the Sensor <sensorId> |